Page MenuHomePhabricator

Chinese full stop disappears at the end of paragraphs, if preceded by ref tags
Closed, ResolvedPublic1 Story Points

Description

In VisualEditor, it is not always possible to save a paragraph that ends with <ref>(cite source)</ref>。 Upon saving the page, the full stop disappears. See the original report.

I successfully added one in my sandbox at MediaWiki, but (a) I pasted the Chinese full stop into the text, rather than entering it normally, and (b) when I pasted it after the ref, it gave me a black sun before the full stop. Also, I'm running Safari on a Mac, so it may be browser or OS dependent.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF changed Security from none to None.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Byfserag triaged this task as High priority.Dec 10 2014, 9:46 AM
Byfserag added a subscriber: Byfserag.
Jdforrester-WMF lowered the priority of this task from High to Normal.Jan 9 2015, 10:55 PM
Jdforrester-WMF closed this task as Resolved.Aug 21 2015, 1:28 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I've re-tested and this seems to now work.

Jdforrester-WMF edited a custom field.